from enum import Enum, auto


class ServiceMessageType(Enum):
    ROUTING_DATA_REQUEST = auto()
    ROUTING_DATA = auto()
    ROUTING_DATA_REMOVE = auto()
    ROUTING_DATA_REPLACE = auto()
    BACKPRESSURE = auto()
    UNKNOWN = auto()
